''' <summary>
''' Controle d'un pion
''' </summary>
''' <remarks></remarks>
Friend Class CtlColor

#Region "Attributs"
    ''' <summary>
    ''' Couleur du pion
    ''' </summary>
    ''' <remarks></remarks>
    Private mColor As EColor = EColor.Aucune
    ''' <summary>
    ''' Slectionn ?
    ''' </summary>
    ''' <remarks></remarks>
    Private mSelected As Boolean = False
    ''' <summary>
    ''' La sourie est desus le pion ?
    ''' </summary>
    ''' <remarks></remarks>
    Private mOnCtrl As Boolean = False
#End Region

#Region "Proprits"
    ''' <summary>
    ''' Retourne ou dfinit la couleur du pion
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <System.ComponentModel.DefaultValue("Mastermind.EColor.Aucune"), System.ComponentModel.Description("Couleur du pion")> Public Property Color() As EColor
        Get
            Return mColor
        End Get
        Set(ByVal value As EColor)
            mColor = value
            Refresh()
        End Set
    End Property
    ''' <summary>
    ''' Retourne ou dfinit si le pion est slectionn
    ''' </summary>
    ''' <value></value>
    ''' <returns></returns>
    ''' <remarks></remarks>
    <System.ComponentModel.DefaultValue(False), System.ComponentModel.Description("Dfinit si le pion est slectionn")> Public Property Selected() As Boolean
        Get
            Return mSelected
        End Get
        Set(ByVal value As Boolean)
            mSelected = value
            Refresh()
        End Set
    End Property
#End Region

#Region "Gestionaires d'venements"

    Private Sub CtlColor_MouseLeave(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.MouseLeave
        mOnCtrl = False
        Refresh()
    End Sub

    Private Sub CtlColor_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles Me.MouseMove
        If Not mOnCtrl Then
            mOnCtrl = True
            Refresh()
        End If
    End Sub

    Private Sub CtlColor_Paint(ByVal sender As Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles Me.Paint
        If mColor = EColor.Aucune Then
            e.Graphics.FillRectangle(Brushes.Black, 0, 0, Me.Width, Me.Height)
        Else
            e.Graphics.FillEllipse(GetBrushes(mColor), 0, 0, Me.Width, Me.Height)
        End If

        If mSelected Then
            e.Graphics.DrawEllipse(New Pen(GetInvColor(mColor), 4), 0, 0, Me.Width - 1, Me.Height - 1)
        ElseIf mOnCtrl Then
            e.Graphics.DrawEllipse(New Pen(GetInvColor(mColor), 2), 0, 0, Me.Width - 1, Me.Height - 1)
        End If
    End Sub
#End Region
End Class
