Module MdlFriend


    Public Enum EColor
        Aucune = 0
        Color1
        Color2
        Color3
        Color4
        Color5
        Color6
        Color7
        Color8
    End Enum


    Public Function GetColor(ByVal pColor As EColor) As Color
        Select Case pColor
            Case EColor.Aucune
                Return Color.Transparent
            Case EColor.Color1
                Return Color.FromArgb(0, 0, 0)
            Case EColor.Color2
                Return Color.FromArgb(0, 0, 255)
            Case EColor.Color3
                Return Color.FromArgb(0, 255, 0)
            Case EColor.Color4
                Return Color.FromArgb(0, 255, 255)
            Case EColor.Color5
                Return Color.FromArgb(255, 0, 0)
            Case EColor.Color6
                Return Color.FromArgb(255, 0, 255)
            Case EColor.Color7
                Return Color.FromArgb(255, 255, 0)
            Case EColor.Color8
                Return Color.FromArgb(255, 255, 255)
            Case Else
                Return Color.FromArgb(127, 127, 127)
        End Select
    End Function

    Public Function GetInvColor(ByVal pColor As EColor) As Color
        Select Case pColor
            Case EColor.Aucune
                Return Color.Transparent
            Case EColor.Color1
                Return Color.FromArgb(255, 255, 255)
            Case EColor.Color2
                Return Color.FromArgb(255, 255, 0)
            Case EColor.Color3
                Return Color.FromArgb(255, 0, 255)
            Case EColor.Color4
                Return Color.FromArgb(255, 0, 0)
            Case EColor.Color5
                Return Color.FromArgb(0, 255, 255)
            Case EColor.Color6
                Return Color.FromArgb(0, 255, 0)
            Case EColor.Color7
                Return Color.FromArgb(0, 0, 255)
            Case EColor.Color8
                Return Color.FromArgb(0, 0, 0)
            Case Else
                Return Color.FromArgb(127, 127, 127)
        End Select
    End Function

    Public Function GetBrushes(ByVal pColor As EColor) As Brush
        Select Case pColor
            Case EColor.Aucune
                Return Brushes.Transparent
            Case EColor.Color1
                Return Brushes.Black
            Case EColor.Color2
                Return Brushes.Blue
            Case EColor.Color3
                Return Brushes.Lime
            Case EColor.Color4
                Return Brushes.Cyan
            Case EColor.Color5
                Return Brushes.Red
            Case EColor.Color6
                Return Brushes.Magenta
            Case EColor.Color7
                Return Brushes.Yellow
            Case EColor.Color8
                Return Brushes.White
            Case Else
                Return Brushes.Gray
        End Select
    End Function

End Module
